Subject: tip - using Caps Lock to activate Moom

From: David Rees <[email-masked]>
Date: Mon, 3 Dec 2012 10:59:10 -0800 (PST)

I thought I would share a tip.

You can use PCKeyboardHack<http://pqrs.org/macosx/keyremap4macbook/pckeyboardhack.html.en> to 
map Caps Lock to a more useful purpose, for example a trigger key for Moom. 
In my case I have used it set Caps Lock to F19 (keycode 80).

<https://lh5.googleusercontent.com/-4WLTGSpIkiI/ULz1isSmRPI/AAAAAAAABj0/nL6ozXSdf-U/s1600/Screen+Shot+2012-12-03+at+1.54.31+PM.png>

Then in Moom I have made F19 the global trigger.

<https://lh4.googleusercontent.com/-5NgAQqPDAHg/ULz1CIenc-I/AAAAAAAABjk/CPvwckG6aPI/s1600/Screen+Shot+2012-12-03+at+1.52.16+PM.png>

Then I have created custom positioning actions for QWE/ASD/ZXC. So I can do 
CapsLock-A to put a window on the left, or CapsLock-D to put it on the 
right. I have tab mapped to "Move to Other Display" and S mapped to using 
the full grid.

<https://lh5.googleusercontent.com/-Zwvj12gNtXI/ULz1RtEa08I/AAAAAAAABjs/NN0gh1ZaZa0/s1600/Screen+Shot+2012-12-03+at+1.53.17+PM.png>

<https://lh4.googleusercontent.com/-cOnyHhWQOXM/ULz1tcIeUgI/AAAAAAAABj8/Au1nqfJbDvE/s1600/Screen+Shot+2012-12-03+at+1.55.32+PM.png>

FYI, If you combine PCKeyboardHack with KeyRemap4MacBook<http://pqrs.org/macosx/keyremap4macbook/index.html.en> you 
can get trickier, like mapping Caps Lock to the PC Application Key then 
KeyRemap4MacBook <http://pqrs.org/macosx/keyremap4macbook/index.html.en> to 
use that as a modifier key on other keys.

d